# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see https://www.gnu.org/licenses/.

{% import 'nginx_util.conf.j2' as util %}

user www-data www-data;

worker_processes auto;
pid /run/nginx.pid;

events {
    worker_connections 8192;
}

http {
    sendfile on;
    tcp_nopush on;
    tcp_nodelay on;
    keepalive_timeout 60;

    server_tokens off;

    access_log /var/log/nginx/access.log;
    error_log /var/log/nginx/error.log;

    include /etc/nginx/mime.types;
    default_type application/octet-stream;

{% for domain in nginx_domains %}

    server {
        {{ util.configure_https(domain.name) }}

        ssl_certificate /opt/nginx/ssl/internal/{{ inventory_hostname }}.crt;
        ssl_certificate_key /opt/nginx/ssl/internal/{{ inventory_hostname }}.key;

        ssl_client_certificate /opt/nginx/ssl/internal/ca.crt;
        ssl_verify_client on;
        ssl_verify_depth 2;

        {{ domain.config | indent(width=8) }}
    }
{% endfor %}

    include /etc/nginx/sites-enabled/*.conf;
}
